SET ANSI_NULLS ON;
GO
SET QUOTED_IDENTIFIER ON;
GO

CREATE OR ALTER PROCEDURE dbo.FloorPlan_Delete
    @FloorPlanID int
AS
BEGIN
    SET NOCOUNT ON;

    DELETE dbo.FloorPlans
    WHERE FloorPlanID = @FloorPlanID;
END;
GO

CREATE OR ALTER PROCEDURE dbo.FloorPlanFloor_Delete
    @FloorPlanFloorID int
AS
BEGIN
    SET NOCOUNT ON;

    DELETE dbo.FloorPlanFloors
    WHERE FloorPlanFloorID = @FloorPlanFloorID;
END;
GO

CREATE OR ALTER PROCEDURE dbo.FloorPlanBlock_Delete
    @FloorPlanBlockID int
AS
BEGIN
    SET NOCOUNT ON;

    DELETE dbo.FloorPlanBlocks
    WHERE FloorPlanBlockID = @FloorPlanBlockID;
END;
GO
